Web lists-archives.com

Re: Presence of cygwin64 elements in an existing Cygwin 32 install after updating




Achim,

Thanks, I added -M:

        setup-x86.exe -B -c KDE -M -n -q -v

    Wed 08/30/2017 13:35:26.69 c:\users\keith>Starting cygwin install,
version 2.881
    User has backup/restore rights
    Current Directory: C:\Users\keith\Downloads
    root: C:\cygwin system
    Selected local directory: C:\Users\keith\Downloads
    Found ini file -
C:\Users\keith\Downloads/ftp%3a%2f%2fcygwin.mirrors.pair.com%2f/x86/setup.ini
    INSTALLED.DB version 3

    Found ini file -
C:\Users\keith\Downloads/http%3a%2f%2fcygwin.mirror.constant.com%2f/x86/setup.ini

and got quite a bit of output like this:

    package 4ti2-debuginfo comparing versions 1.6.7-2 and 1.6.7-1, result was 1
    package a2ps comparing versions 4.14-3 and 4.14-3, result was 0
    package a2ps-debuginfo comparing versions 4.14-3 and 4.14-3, result was 0
    package aalib comparing versions 1.4rc5-13 and 1.4rc5-12, result was 1

What is the meaning of "result was 0" and "result was 1" above?

then, another listing similar to this:

    Found category KDE in package akonadi
    Deleted manual package akonadi
    Found category KDE in package amor
    Deleted manual package amor
    Found category KDE in package artikulate
    Deleted manual package artikulate
    Found category KDE in package automoc4
    Deleted manual package automoc4
    Found category KDE in package baloo
    Deleted manual package baloo

What does the above mean?


Are these Perl packages set for removal because they are used by KDE?

    package perl comparing versions 5.22.4-1 and 5.22.1-2, result was 1
    package perl-Algorithm-Diff comparing versions 1.1903-2 and
1.1903-2, result was 0
    package perl-Alien-wxWidgets comparing versions 0.67-2 and 0.67-1,
result was 1
    package perl-Archive-Zip comparing versions 1.59-1 and 1.56-1, result was 1
    package perl-Authen-SASL comparing versions 2.16-2 and 2.16-2, result was 0
    package perl-Authen-SASL-XS comparing versions 1.00-1 and 1.00-1,
result was 0
    package perl-Authen-SASL-XS-debuginfo comparing versions 1.00-1
and 1.00-1, result was 0
    package perl-autovivification comparing versions 0.17-1 and
0.16-1, result was 1
    package perl-autovivification-debuginfo comparing versions 0.17-1
and 0.16-1, result was 1


Finally, I got the setup GUI dialog with a lot of packages that are
set to Uninstall.  I probably won't uninstall until I hear back from
you.  There are a lot of KDE packages listed, and I want to remove
them, but I am interested in answers to my questions first.

Thank you.

Keith

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple